| QxOrm 1.2.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
qx::memory::output_object< _OutputStrm, _StringType > Struct Template Reference

`#include <cont_ptr_utils.h>`

List of all members.

## Public Member Functions
| output_object (_OutputStrm &__outs, const _StringType &__sep)
template<typename _Tp >
void | operator() (const _Tp *__ptr) const
## Private Attributes
_OutputStrm & | _M_outs
_StringType | _M_sep

## Detailed Description

### template<typename _OutputStrm, typename _StringType = const char*>
struct qx::memory::output_object< _OutputStrm, _StringType >

Functor to output objects pointed by a container of pointers.

A typical usage might be like:

     list<Object*> l;
     ...
     for_each(l.begin(), l.end(), output_object<ostream>(cout, " "));

Definition at line 128 of file cont_ptr_utils.h.

## Constructor & Destructor Documentation

template<typename _OutputStrm , typename _StringType = const char*>

qx::memory::output_object< _OutputStrm, _StringType >::output_object | ( | _OutputStrm & | __outs,
|  | const _StringType & | __sep
| ) |  | `[inline]`

Definition at line 130 of file cont_ptr_utils.h.

## Member Function Documentation

template<typename _OutputStrm , typename _StringType = const char*>
template<typename _Tp >

void qx::memory::output_object< _OutputStrm, _StringType >::operator() | ( | const _Tp * | __ptr | ) | const`[inline]`

Definition at line 135 of file cont_ptr_utils.h.

## Member Data Documentation

template<typename _OutputStrm , typename _StringType = const char*>

_OutputStrm& qx::memory::output_object< _OutputStrm, _StringType >::_M_outs`[private]`

Definition at line 141 of file cont_ptr_utils.h.

template<typename _OutputStrm , typename _StringType = const char*>

_StringType qx::memory::output_object< _OutputStrm, _StringType >::_M_sep`[private]`

Definition at line 142 of file cont_ptr_utils.h.

The documentation for this struct was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxMemLeak/cont_ptr_utils.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines